Last Comment Bug 303353 - Support appearance attribute for select1
: Support appearance attribute for select1
Status: RESOLVED FIXED
: fixed1.8.0.5, fixed1.8.1
Product: Core
Classification: Components
Component: XForms (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: alexander :surkov
: Stephen Pride
Mentors:
http://www.w3.org/TR/xforms/slice8.ht...
Depends on: 300801
Blocks: 322255 326372 326373
  Show dependency treegraph
 
Reported: 2005-08-04 00:32 PDT by Allan Beaufour
Modified: 2006-06-06 06:57 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
testcase (2.20 KB, application/xhtml+xml)
2005-12-01 16:55 PST, aaronr
no flags Details
testcase2 (4.37 KB, application/xhtml+xml)
2006-04-04 00:01 PDT, alexander :surkov
no flags Details
patch (9.17 KB, patch)
2006-04-04 00:15 PDT, alexander :surkov
doronr: review-
Details | Diff | Review
patch2 (9.13 KB, patch)
2006-04-05 01:15 PDT, alexander :surkov
doronr: review+
aaronr: review+
Details | Diff | Review

Description Allan Beaufour 2005-08-04 00:32:09 PDT
We need to support appearance "full", "compact", and "minimal". If we want to
look like the examples in the spec. that means we still need "full" and "compact".
Comment 1 Olli Pettay [:smaug] (high review load, please consider other reviewers) 2005-08-04 04:36:58 PDT
afaik <select> will support full and compact. Perhaps that implementation can be
used also with <select1>. Though I'm not sure what the UI should look like
when selection="open" and appearance is either full or compact.
Comment 2 aaronr 2005-12-01 16:55:00 PST
Created attachment 204749 [details]
testcase

I suggest that we handle select1 with @appearance="full" and @selection="open" like the Novell plugin does.  They put a radio button with an input field next to it.
Comment 3 aaronr 2005-12-01 16:56:01 PST
I'll try to get this working...
Comment 4 alexander :surkov 2005-12-01 17:57:43 PST
(In reply to comment #2)
> Created an attachment (id=204749) [edit]
> testcase
> 
> I suggest that we handle select1 with @appearance="full" and @selection="open"
> like the Novell plugin does.  They put a radio button with an input field next
> to it.
> 

When I worked on patch for bug 307627 then I realized select1 @appearance="full". Although I didn't add @selection="open" attribute supporting.
Comment 5 alexander :surkov 2006-03-22 04:35:49 PST
I want to realize select1 appearance="compact/full" on base of "select-base" widget (It will be possible after bug 323849 fixing). I want to do it withoug @selection="open" supporting. Aaron, can I assign the bug for me?
Comment 6 aaronr 2006-03-22 09:26:21 PST
(In reply to comment #5)
> I want to realize select1 appearance="compact/full" on base of "select-base"
> widget (It will be possible after bug 323849 fixing). I want to do it withoug
> @selection="open" supporting. Aaron, can I assign the bug for me?
> 

sure, you can have this bug.  I haven't done anything with it, yet.  But if you are removing all of the @selection="open" functionality, then make sure you open another bug to put it back in.
Comment 7 alexander :surkov 2006-04-04 00:01:03 PDT
Created attachment 217125 [details]
testcase2
Comment 8 alexander :surkov 2006-04-04 00:15:54 PDT
Created attachment 217126 [details] [diff] [review]
patch

the patch adds select1 appearance="compact/full" support without @selection="open" .
Comment 9 Doron Rosenberg (IBM) 2006-04-04 07:36:23 PDT
Comment on attachment 217126 [details] [diff] [review]
patch

>+
>+
>+  <!-- CONTROL WIDGET FOR SELECT1 APPEARANCE='COMPACT' -->
>+  <binding id="controlwidget-select1-compact"
>+           extends="#controlwidget-select-compact">
>+    <content>
>+      <html:a href="http://">heellele</html:a>
>+      <html:select xbl:inherits="style, accesskey, disabled=readonly"
>+                   class="xf-value" size="5" anonid="control"/>
>+    </content>
>+  </binding>

heellele?  And size="5" for a select1?  I don't think that is what we want for a compat select1?  Size 1 would make more sense.
Comment 10 alexander :surkov 2006-04-05 01:15:36 PDT
Created attachment 217268 [details] [diff] [review]
patch2

(In reply to comment #9)

> heellele?  
Sorry, it's my tests :)

And size="5" for a select1?  I don't think that is what we want for
> a compat select1?  Size 1 would make more sense.
> 
No, just not size 1, size="5" imho looks good (w3c screenshot select1 has size="3" http://www.w3.org/TR/xforms/slice8.html#ui-selectOne)
Comment 11 aaronr 2006-04-10 15:49:24 PDT
Comment on attachment 217268 [details] [diff] [review]
patch2

remember to open bug on @selection="open" for select1's with @appearance="compact" or "full".

with that, r=me
Comment 12 Allan Beaufour 2006-04-12 00:54:06 PDT
Fixed on trunk.

Note You need to log in before you can comment on or make changes to this bug.